Loading...
Searching...
No Matches
OBOrbital Class Reference

`#include <openbabel/generic.h>`

## Public Member Functions

void | SetData (double energy, double occupation=2.0, std::string symbol="A")
double | GetEnergy () const
double | GetOccupation () const
std::string | GetSymbol () const

## Protected Attributes

double | _energy
double | _occupation
std::string | _mullikenSymbol

## Friends

class | OBOrbitalData

## Detailed Description

Used to store energy, occupation, and orbital symmetry of a particular orbital.

See also
  OBOrbitalData

## Member Function Documentation

## SetData()

void SetData | ( | double | energy,
|  | double | occupation = 2.0,
|  | std::string | symbol = "A" )

inline

Referenced by OBOrbitalData::LoadAlphaOrbitals(), OBOrbitalData::LoadBetaOrbitals(), and OBOrbitalData::LoadClosedShellOrbitals().

## GetEnergy()

double GetEnergy | ( |  | ) | const

inline

## GetOccupation()

double GetOccupation | ( |  | ) | const

inline

## GetSymbol()

std::string GetSymbol | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## OBOrbitalData

friend class OBOrbitalData

friend

Referenced by OBOrbitalData.

## Member Data Documentation

## _energy

double _energy

protected

in electron volts

Referenced by GetEnergy(), and SetData().

## _occupation

double _occupation

protected

usually 0, 1, or 2, but can be fractional (e.g., solid-state calcs)

Referenced by GetOccupation(), and SetData().

## _mullikenSymbol

std::string _mullikenSymbol

protected

symmetry designation

Referenced by GetSymbol(), and SetData().

The documentation for this class was generated from the following file:

- generic.h